% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/methods.R
\name{predict.cv.ensembleEN}
\alias{predict.cv.ensembleEN}
\title{Make predictions from a cv.ensembleEN object.}
\usage{
\method{predict}{cv.ensembleEN}(object, newx, index = object$index_opt,
  type = c("response", "coefficients"), ...)
}
\arguments{
\item{object}{Fitted cv.ensembleEN object.}

\item{newx}{Matrix of new values of x at which prediction are to be made. Ignored if type is "coefficients".}

\item{index}{Indices indicating values of lambda_S at which to predict. Defaults to the optimal value.}

\item{type}{Either "response" for predicted values or "coefficients" for the estimated coefficients.}

\item{...}{Additional arguments for compatibility}
}
\value{
Either a matrix with predictions or a vector of coefficients
}
\description{
Make predictions from a cv.ensembleEN object, similar to other predict methods.
}
\seealso{
\code{\link{predict.cv.ensembleEN}}
}
